máy bơm nước hỏa tiễn công ty in ấn https://duan-knparadise.com/ Bơm nước hỏa tiễn bóp da nam Túi nilon PP cong ty in bieu mau
Vẽ hình chữ nhật với VBA (trong Cad) - Diễn đàn của các kỹ sư kết cấu Việt Nam










































































Features
Go Back   Diễn đàn của các kỹ sư kết cấu Việt Nam > ỨNG DỤNG TIN HỌC TRONG THIẾT KẾ XÂY DỰNG > Lập trình tính toán, phân tích kết cấu
Tên thành viên
Mật mã
Tin HOT Thông tin BQT diễn đàn

Result  Reload Thống Kê - Diễn đàn của các kỹ sư kết cấu Việt Nam
All Forums | Thông báo | Văn Bản Pháp Luật | Văn Hóa Văn Nghệ Giao Lưu
Please wait...
Please wait...
Loading...
Trả lời
 
Ðiều Chỉnh Xếp Bài
Old 21-11-2007   #1
AutumnHeart_1982
Thành viên mới
 
Tham gia ngày: Nov 2007
Bài gởi: 11
Thanks: 0
Thanked 1 Time in 1 Post
Default Vẽ hình chữ nhật với VBA (trong Cad)

Cho em hỏi các bác cao thủ, làm thế nào để vẽ được hình chữ nhật trong Cad với VBA (không dùng lệnh sendcommand), em nghiên cứu mãi mà chưa ra. Xin các cao thủ chỉ dùm.

thay đổi nội dung bởi: AutumnHeart_1982, 21-11-2007 lúc 03:58 PM
AutumnHeart_1982 vẫn chưa có mặt trong diễn đàn   Trả Lời Với Trích Dẫn
Old 21-11-2007   #2
ThangCoi
Thành viên nhiệt huyết
 
ThangCoi's Avatar
 
Tham gia ngày: Mar 2006
Nơi Cư Ngụ: Không cố định
Bài gởi: 603
Thanks: 56
Thanked 279 Times in 104 Posts
Send a message via Yahoo to ThangCoi
Default Ðề: Vẽ hình chữ nhật với VBA (trong Cad)

Trích:
Nguyên văn bởi AutumnHeart_1982
Cho em hỏi các bác cao thủ, làm thế nào để vẽ được hình chữ nhật trong Cad với VBA (không dùng lệnh sendcommand), em nghiên cứu mãi mà chưa ra. Xin các cao thủ chỉ dùm.
Vẽ Polyline thay cho hình chữ nhật kích thước là 200x100
Private Sub veChuNhat()
Dim Rectang(0 To 7) As Double
Dim Pline As AcadLWPolyline
Dim BasePoint As Variant
BasePoint = ThisDrawing.Utility.GetPoint(, vbCrLf & "Diem chen:")
Rectang(0) = BasePoint(0)
Rectang(1) = BasePoint(1)
Rectang(2) = BasePoint(0)
Rectang(3) = BasePoint(1) + 100
Rectang(4) = BasePoint(0) + 200
Rectang(5) = BasePoint(1) + 100
Rectang(6) = BasePoint(0) + 200
Rectang(7) = BasePoint(1)
Set Pline = ThisDrawing.ModelSpace.AddLightWeightPolyline(Rectang)
Pline.Closed = True
End Sub
ThangCoi vẫn chưa có mặt trong diễn đàn   Trả Lời Với Trích Dẫn
Old 21-11-2007   #3
AutumnHeart_1982
Thành viên mới
 
Tham gia ngày: Nov 2007
Bài gởi: 11
Thanks: 0
Thanked 1 Time in 1 Post
Default Ðề: Vẽ hình chữ nhật với VBA (trong Cad)

Cám ơn bạn đã góp ý nhưng mình cần vẽ hình chữ nhật vát góc (theo 1 cung tròn) vì vậy dùng polyline thì rất phức tạp
AutumnHeart_1982 vẫn chưa có mặt trong diễn đàn   Trả Lời Với Trích Dẫn
Loading...
Trả lời

Ðiều Chỉnh
Xếp Bài

Quyền sử dụng ở Diễn Ðàn
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is Mở
Smilies đang Mở
[IMG] đang Mở
HTML đang Mở

Chuyển đến



Múi giờ GMT. Hiện tại là 11:10 AM.


DIỄN ĐÀN http://ketcau.com/forum NƠI HỘI TỤ CỦA CÁC KỸ SƯ KẾT CÂU VIỆT NAM
WWW.KETCAU.COM - CẦU NỐI CỦA CÁC KỸ SƯ KẾT CẤU CÔNG TRÌNH, ĐỊA KỸ THUẬT VIỆT NAM. DIỄN ĐÀN ĐƯỢC MUA BẢN QUYỀN CỦA JELSOFT ENTERPRISES Ltd. Thiết kế website